%global momorel 3

Name:           lxde-common
Version:        0.4.1
Release:        %{momorel}m%{?dist}
Summary:        Default configuration files for LXDE

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://lxde.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/lxde/%{name}-%{version}.tar.bz2
NoSource:       0
Source1:        lxde-lock-screen.desktop
# momonga's source
Source10:       xsession.lxde
# fix lxde-logout.desktop
Patch6:         %{name}-0.4-lxde-logout.desktop.patch
# momonga specific patches
Patch10:        %{name}-0.4.1-pcmanfm-config.patch
Patch11:        %{name}-0.4.1-lxpanel-config.patch
Patch12:        %{name}-0.4-openbox-menu.patch
Patch13:        %{name}-0.3.2.1-default-wallpaper.patch
Patch14:        %{name}-0.4.1-desktop.patch
# Pulseaudio
Patch4:         %{name}-0.4-pulseaudio.patch
# Because of new gdm
# http://icculus.org/cgi-bin/ezmlm/ezmlm-cgi?24:mss:5608:200804:keopkmedognljeggknac
Patch5:         %{name}-0.3.2.1-gdm-number-of-desktops.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
Requires:       lxsession lxpanel pcmanfm openbox xdg-utils
Requires:       lxmenu-data lxde-settings-daemon
# Use momonga's artwork
Requires:       system-logos
Requires:       momonga-backgrounds
# needed for new gdm workaround
Requires:       wmctrl
BuildArch:      noarch


%description
This package contains the configuration files for LXDE, the Lightweight X11 
Desktop Environment.

%prep
%setup -q
%patch10 -p1 -b .pcmanfm-config
%patch11 -p1 -b .lxpanel-config
%patch12 -p1 -b .openbox-menu
%patch13 -p1 -b .default-wallpaper
%patch14 -p1 -b .notshowin-gnome
%patch4 -p1 -b .pulseaudio
%patch5 -p1 -b .gdm-desktops
%patch6 -p1 -b .logout-desktop

%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
# only used by obsolete lxsession, not lxsession-lite
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/lxsession/LXDE/default
desktop-file-install                                           \
      --vendor=                                                \
      --dir=%{buildroot}%{_datadir}/applications               \
      lxde-logout.desktop
desktop-file-install                                           \
      --vendor=                                                \
      --dir=%{buildroot}%{_datadir}/applications               \
      %{SOURCE1}

# momonga specific
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit/session.d/
install -m 644 %{SOURCE10} %{buildroot}%{_sysconfdir}/X11/xinit/session.d/lxde

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig ||:
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/nuoveXT2
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/nuoveXT2 || :
fi

%postun
/sbin/ldconfig ||:
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/nuoveXT2
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/nuoveXT2 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%dir %{_sysconfdir}/xdg/lxsession/LXDE/
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%config(noreplace) %{_sysconfdir}/xdg/lxsession/LXDE/config
%config(noreplace) %{_sysconfdir}/X11/xinit/session.d/lxde
%{_bindir}/startlxde
%{_bindir}/lxde-logout
%{_bindir}/openbox-lxde
%{_datadir}/lxde/*
%{_datadir}/lxpanel/profile/LXDE/
%{_mandir}/man1/*.1*
%{_datadir}/xsessions/LXDE.desktop
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-lock-screen.desktop
%{_datadir}/icons/nuoveXT2

%changelog
* Fri Jun 26 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-3m)
- merge the following Fedora 11 changes
-- * Sat Jun 13 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.4.1-2
-- - Include logout and screenlock buttons (#503919)

* Thu Jun 18 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-2m)
- add patch20 (add NotShowIn=GNOME;)

* Sat May 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-1m)
- momonganize Fedora 11's lxde-common (0.4-2)
- update to 0.4.1
#'

* Wed Apr  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2.1-5m)
- install %%{_sysconfdir}/X11/xinit/session.d/lxde

* Wed Apr  1 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2.1-4m)
- update Patch0
- update Patch1,2 from Rawhide (0.3.2.1-4)
- import pulseaudio patch (Patch13) from Rawhide (0.3.2.1-4)
- use lxde's default artwork

* Sun Mar 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2.1-3m)
- Requires: momonga-backgrounds instead of gnome-backgrounds
- update default wallpaper patch

* Mon Mar 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2.1-2m)
- Requires: gnome-backgrounds instead of desktop-backgrounds-compat

* Tue Mar  3 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2.1-1m)
- import from Fedora to Momonga

* Fri Oct 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-3
- Require fedora-icon-theme and fedora-logos

* Thu Oct 09 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-2
- Rebase patches for rpm's new fuzz=0 behaviour

* Thu Jul 10 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.2.1-1
- Update to 0.3.2.1
- Switch from ROXTerm to LXterminal
- Rebased most patches
- Add mixer to the panel 

* Mon Apr 14 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-2
- Make a separate package for lxde-icon-theme

* Sat Apr 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.1-1
- Update to 0.3.0.1
- Use distros default artwork

* Sat Mar 29 2008 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0.0-1
- Initial Fedora RPM
- Use roxterm instead of gnome-terminal and xterm
- Patch default panel config
